Skip to main content
GET
/
registrants
cURL
curl -X GET "https://api.swoogo.com/api/v1/registrants?event_id=123&fields=id,email,first_name,last_name,registration_status&search=registration_status%3Dconfirmed&per-page=50" \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN"
{
  "items": [
    {
      "created_at": "2023-04-21 15:46:23",
      "updated_at": "2023-04-21 15:47:37"
    }
  ],
  "_links": {
    "self": {
      "href": ""
    },
    "first": {
      "href": ""
    },
    "last": {
      "href": ""
    }
  },
  "_meta": {
    "totalCount": 1,
    "pageCount": 1,
    "currentPage": 1,
    "perPage": 20
  }
}

Authorizations

Authorization
string
header
required

OAuth 2.0 bearer token obtained from POST /oauth2/token. Tokens expire after 30 minutes. Include in the Authorization header as Bearer {access_token}.

Query Parameters

event_id
integer
required

integer - required - The ID of the event you want to retrieve registrants for

Example:

1

fields
string

string - optional - Comma separated list of fields you want to return

Example:

"id,event_id,group_id,reg_type_id,package_id,discount_code,email,prefix,first_name,middle_name,last_name,suffix,company,job_title,work_phone,mobile_phone,profile_picture,twitter_handle,gender,birth_date,cc_email,bio,vat_number,contact_id,session_ids,waitlisted_session_ids,notes,reference,ip_address,individual_net,individual_tax,individual_tax_2,individual_gross,group_net,group_tax,group_tax_2,group_gross,group_paid,created_at,updated_at,registered_at,cancelled_at,checked_in_at,ext_token,secure_id,timezone,registration_status,language,payment_method,po_number,group_balance_due,payment_status"

expand
string

string - optional - Comma separated list of objects you want to return. Valid values: homeAddress, workAddress, billingAddress, emailHistory.

Example:

"homeAddress,workAddress,billingAddress,emailHistory"

string - optional - Filter conditions to narrow the results. Valid operators are =, !=, >=, <=, >, <, contains, beginswith, endswith

Example:

"id>123"

page
string

integer - optional - The page of results you want to view

Example:

"1"

per-page
string

integer - optional - The number of results per page (to a max of 200)

Example:

"5"

sort
string

string - optional - Sort the results (add - in front for opposite sort direction, e.g. "-id")

ids
string

Comma-separated list of IDs to retrieve. When provided, only records matching these IDs are returned. All values must be positive integers. Maximum 100 IDs per request.

Body

multipart/form-data

The body is of type object.

Response

Collection

items
object[]
_meta
object